'use strict';

const fs = require('fs');
const mdout = require('../../markdown/markdown-output');

function materialFiles(callback) {
    fs.readdir('assets/learning_material', (error, files) => {
        if (error) {
            callback(error);
        } else {
            callback(null, files);
        }
    });
}

exports.outputMaterial = (index, callback) => {
    materialFiles((err, files) => {
        fs.readFile('assets/learning_material/' + files[index], 'utf8', (err, data) => {
            if (err) {
                callback(err);
            } else {
                mdout(data);
                callback();
            }
        });
    });
}