'use strict';
const LocalStorage = require('node-localstorage').LocalStorage;
var localStorage = new LocalStorage('./material');
const outputMaterial = require('./material-util').outputMaterial;

module.exports = () => {
    let currentStep = localStorage.getItem('current-step');
    if (!currentStep) {
        currentStep = 0;
    } else {
        currentStep = Number.parseInt(currentStep + 1, 10);
    }

    outputMaterial(currentStep, (err) => {
        if (err) {
            console.log(err);
        } else {
            localStorage.setItem('current-step', currentStep);
        }
    });
}